/** @monorepo-internal */
export declare function crudGet(request: Request, resourceName: string): Promise<Response>;
/** @monorepo-internal */
export declare function crudPut(request: Request, resourceName: string): Promise<Response>;
export declare function controllerDelete(resourceName: string, resourceId: string): Promise<Response>;
/** @monorepo-internal */
export declare function crudGetById(_: Request, resourceName: string, resourceId: string): Promise<Response>;
/** @monorepo-internal */
export declare function crudPost(request: Request, resourceName: string): Promise<Response>;
export declare function crudUpsert(request: Request, resourceName: string): Promise<Response>;
